
#include <stdio.h>
#include <stdlib.h>
#include <string.h>


int main(int argc, char **argv)
{
	FILE	*infp1, *infp2, *outfp;
	int		c1,c2,co;

	if (argc != 4) {
		fprintf(stderr, "Usage: binxor infile1 infile2 outfile\n");
		exit(1);
	}


/* open files */

	if ((infp1 = fopen(argv[1], "rb")) == NULL) {
		perror(argv[1]);
		exit(1);
	}

	if ((infp2 = fopen(argv[2], "rb")) == NULL) {
		perror(argv[2]);
		exit(1);
	}

	if ((outfp = fopen(argv[3], "wb")) == NULL) {
		perror(argv[3]);
		exit(1);
	}

	while ((c1 = fgetc(infp1)) != EOF) {
		c2 = fgetc(infp2);
		co = ( (c1 ^ c2) & 0xFF);
		fputc(co,outfp);
	}

	fclose(infp1);
	fclose(infp2);
	fclose(outfp);

	return(0);
}
